_InitSensors:
;Sensors.c,73 :: 		void InitSensors()
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;Sensors.c,75 :: 		AD1PCFG.B8 = 0;
ORI	R2, R0, 256
SW	R2, Offset(AD1PCFG+4)(GP)
;Sensors.c,76 :: 		TRISB8_bit = 1;
LUI	R2, BitMask(TRISB8_bit+0)
ORI	R2, R2, BitMask(TRISB8_bit+0)
_SX	8, Offset(TRISB8_bit+8), 4
;Sensors.c,77 :: 		AD1PCFG.B9 = 0;
ORI	R2, R0, 512
SW	R2, Offset(AD1PCFG+4)(GP)
;Sensors.c,78 :: 		TRISB9_bit = 1;
LUI	R2, BitMask(TRISB9_bit+0)
ORI	R2, R2, BitMask(TRISB9_bit+0)
_SX	8, Offset(TRISB9_bit+8), 4
;Sensors.c,80 :: 		ADC1_Init();                        // Initialize ADC
JAL	_ADC1_Init+0
NOP	
;Sensors.c,82 :: 		}
L_end_InitSensors:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _InitSensors
Sensors_Get_Temperature:
;Sensors.c,85 :: 		static void Get_Temperature()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Sensors.c,90 :: 		temp = ADC1_Get_Sample(9);
SW	R25, 4(SP)
ORI	R25, R0, 9
JAL	_ADC1_Get_Sample+0
NOP	
; temp start address is: 16 (R4)
ANDI	R4, R2, 65535
;Sensors.c,91 :: 		temp = (unsigned long)(VREF * temp) / 1028;
ORI	R2, R0, 3300
MULTU	R2, R4
MFLO	R3
; temp end address is: 16 (R4)
ORI	R2, R0, 1028
DIVU	R3, R2
MFLO	R2
; temp start address is: 12 (R3)
MOVZ	R3, R2, R0
;Sensors.c,92 :: 		temp = temp - 500;
ADDIU	R2, R3, -500
; temp end address is: 12 (R3)
; temp start address is: 8 (R2)
; temp end address is: 8 (R2)
;Sensors.c,94 :: 		}
L_end_Get_Temperature:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of Sensors_Get_Temperature
_DisplayTemperature:
;Sensors.c,97 :: 		void DisplayTemperature(unsigned long temp)
;Sensors.c,99 :: 		asm nop;
NOP	
;Sensors.c,103 :: 		}
L_end_DisplayTemperature:
JR	RA
NOP	
; end of _DisplayTemperature
_Pressure_Write:
;Sensors.c,108 :: 		void Pressure_Write(unsigned short address, unsigned short value)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Sensors.c,110 :: 		I2C2_Start();                   // issue I2C start signal
SW	R25, 4(SP)
JAL	_I2C2_Start+0
NOP	
;Sensors.c,111 :: 		I2C2_Write(_PRESSURE_W_ADDRESS);// send byte via I2C  (device address + W)
SB	R25, 8(SP)
ORI	R25, R0, 186
JAL	_I2C2_Write+0
NOP	
LBU	R25, 8(SP)
;Sensors.c,112 :: 		I2C2_Write(address);            // send byte (address of the location)
JAL	_I2C2_Write+0
NOP	
;Sensors.c,113 :: 		I2C2_Write(value);              // send data (data to be written)
ANDI	R25, R26, 255
JAL	_I2C2_Write+0
NOP	
;Sensors.c,114 :: 		I2C2_Stop();                    // issue I2C stop signal
JAL	_I2C2_Stop+0
NOP	
;Sensors.c,115 :: 		}
L_end_Pressure_Write:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Pressure_Write
_Pressure_Read:
;Sensors.c,119 :: 		unsigned short Pressure_Read(unsigned short address)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Sensors.c,121 :: 		unsigned short tmp = 0;
SW	R25, 4(SP)
;Sensors.c,123 :: 		I2C2_Start();                      // issue I2C start signal
JAL	_I2C2_Start+0
NOP	
;Sensors.c,124 :: 		I2C2_Write(_PRESSURE_W_ADDRESS);   // send byte via I2C (device address + W)
SB	R25, 8(SP)
ORI	R25, R0, 186
JAL	_I2C2_Write+0
NOP	
LBU	R25, 8(SP)
;Sensors.c,125 :: 		I2C2_Write(address);               // send byte (data address)
JAL	_I2C2_Write+0
NOP	
;Sensors.c,127 :: 		I2C2_Restart();                    // issue I2C signal repeated start
JAL	_I2C2_Restart+0
NOP	
;Sensors.c,128 :: 		I2C2_Write(_PRESSURE_R_ADDRESS);   // send byte (device address + R)
ORI	R25, R0, 187
JAL	_I2C2_Write+0
NOP	
;Sensors.c,129 :: 		tmp = I2C2_Read(_I2C_NACK );       // Read the data (NO acknowledge)
ORI	R25, R0, 1
JAL	_I2C2_Read+0
NOP	
; tmp start address is: 16 (R4)
ANDI	R4, R2, 255
;Sensors.c,130 :: 		I2C2_Stop();                       // issue I2C stop signal
JAL	_I2C2_Stop+0
NOP	
;Sensors.c,132 :: 		return tmp;
ANDI	R2, R4, 255
; tmp end address is: 16 (R4)
;Sensors.c,133 :: 		}
;Sensors.c,132 :: 		return tmp;
;Sensors.c,133 :: 		}
L_end_Pressure_Read:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Pressure_Read
_Pressure_Init:
;Sensors.c,138 :: 		char Pressure_Init(void)
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Sensors.c,141 :: 		int err = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
; err start address is: 20 (R5)
MOVZ	R5, R0, R0
;Sensors.c,142 :: 		I2C2_Init(100000);       // Initializes I2C with desired clock
LUI	R25, 1
ORI	R25, R25, 34464
JAL	_I2C2_Init+0
NOP	
;Sensors.c,146 :: 		Pressure_Write(_RES_CONF, 0x78);
ORI	R26, R0, 120
ORI	R25, R0, 16
JAL	_Pressure_Write+0
NOP	
;Sensors.c,149 :: 		temp = Pressure_Read(_RES_CONF);
ORI	R25, R0, 16
JAL	_Pressure_Read+0
NOP	
; temp start address is: 8 (R2)
;Sensors.c,153 :: 		if (temp != 0x78)
ANDI	R3, R2, 255
; temp end address is: 8 (R2)
ORI	R2, R0, 120
BNE	R3, R2, L__Pressure_Init17
NOP	
J	L__Pressure_Init6
NOP	
L__Pressure_Init17:
;Sensors.c,155 :: 		err++;
ADDIU	R2, R5, 1
SEH	R5, R2
; err end address is: 20 (R5)
;Sensors.c,156 :: 		}
J	L_Pressure_Init0
NOP	
L__Pressure_Init6:
;Sensors.c,153 :: 		if (temp != 0x78)
;Sensors.c,156 :: 		}
L_Pressure_Init0:
;Sensors.c,158 :: 		Pressure_Write(_CTRL_REG1, 0x74);
; err start address is: 20 (R5)
ORI	R26, R0, 116
ORI	R25, R0, 32
JAL	_Pressure_Write+0
NOP	
;Sensors.c,161 :: 		temp = Pressure_Read(_CTRL_REG1);
ORI	R25, R0, 32
JAL	_Pressure_Read+0
NOP	
; temp start address is: 8 (R2)
;Sensors.c,165 :: 		if (temp != 0x74)
ANDI	R3, R2, 255
; temp end address is: 8 (R2)
ORI	R2, R0, 116
BNE	R3, R2, L__Pressure_Init19
NOP	
J	L__Pressure_Init7
NOP	
L__Pressure_Init19:
;Sensors.c,167 :: 		err++;
ADDIU	R2, R5, 1
SEH	R5, R2
; err end address is: 20 (R5)
;Sensors.c,168 :: 		}
J	L_Pressure_Init1
NOP	
L__Pressure_Init7:
;Sensors.c,165 :: 		if (temp != 0x74)
;Sensors.c,168 :: 		}
L_Pressure_Init1:
;Sensors.c,170 :: 		Pressure_Write(_CTRL_REG1, 0xF4);
; err start address is: 20 (R5)
ORI	R26, R0, 244
ORI	R25, R0, 32
JAL	_Pressure_Write+0
NOP	
;Sensors.c,174 :: 		temp = Pressure_Read(_CTRL_REG1);
ORI	R25, R0, 32
JAL	_Pressure_Read+0
NOP	
; temp start address is: 8 (R2)
;Sensors.c,175 :: 		if (temp != 0xF4) {
ANDI	R3, R2, 255
; temp end address is: 8 (R2)
ORI	R2, R0, 244
BNE	R3, R2, L__Pressure_Init21
NOP	
J	L__Pressure_Init8
NOP	
L__Pressure_Init21:
;Sensors.c,176 :: 		err++;
ADDIU	R2, R5, 1
SEH	R5, R2
; err end address is: 20 (R5)
;Sensors.c,177 :: 		}
J	L_Pressure_Init2
NOP	
L__Pressure_Init8:
;Sensors.c,175 :: 		if (temp != 0xF4) {
;Sensors.c,177 :: 		}
L_Pressure_Init2:
;Sensors.c,182 :: 		temp = Pressure_read(_WHO_AM_I);
; err start address is: 20 (R5)
ORI	R25, R0, 15
JAL	_Pressure_Read+0
NOP	
; temp start address is: 8 (R2)
;Sensors.c,185 :: 		if (temp != 0xBB)
ANDI	R3, R2, 255
; temp end address is: 8 (R2)
ORI	R2, R0, 187
BNE	R3, R2, L__Pressure_Init23
NOP	
J	L__Pressure_Init9
NOP	
L__Pressure_Init23:
;Sensors.c,187 :: 		err++;
ADDIU	R2, R5, 1
; err end address is: 20 (R5)
; err start address is: 12 (R3)
SEH	R3, R2
; err end address is: 12 (R3)
;Sensors.c,188 :: 		}
J	L_Pressure_Init3
NOP	
L__Pressure_Init9:
;Sensors.c,185 :: 		if (temp != 0xBB)
SEH	R3, R5
;Sensors.c,188 :: 		}
L_Pressure_Init3:
;Sensors.c,189 :: 		return err;
; err start address is: 12 (R3)
SEH	R2, R3
; err end address is: 12 (R3)
;Sensors.c,190 :: 		}
;Sensors.c,189 :: 		return err;
;Sensors.c,190 :: 		}
L_end_Pressure_Init:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Pressure_Init
_Pressure_Read_value:
;Sensors.c,195 :: 		long int Pressure_Read_value(void)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Sensors.c,203 :: 		Out_pressure = Pressure_Read(_PRESS_OUT_H);
SW	R25, 4(SP)
ORI	R25, R0, 42
JAL	_Pressure_Read+0
NOP	
; Out_pressure start address is: 24 (R6)
ANDI	R6, R2, 255
;Sensors.c,206 :: 		mid_byte = Pressure_Read(_PRESS_OUT_L);
ORI	R25, R0, 41
JAL	_Pressure_Read+0
NOP	
; mid_byte start address is: 20 (R5)
ANDI	R5, R2, 255
;Sensors.c,208 :: 		low_byte = Pressure_Read(_PRESS_POUT_XL_REH);
ORI	R25, R0, 40
JAL	_Pressure_Read+0
NOP	
; low_byte start address is: 12 (R3)
ANDI	R3, R2, 255
;Sensors.c,210 :: 		Out_pressure = (Out_pressure << 8);
SLL	R2, R6, 8
; Out_pressure end address is: 24 (R6)
; Out_pressure start address is: 16 (R4)
MOVZ	R4, R2, R0
;Sensors.c,211 :: 		Out_pressure = (Out_pressure | mid_byte);
ANDI	R2, R5, 255
; mid_byte end address is: 20 (R5)
OR	R2, R4, R2
MOVZ	R4, R2, R0
;Sensors.c,212 :: 		Out_pressure = (Out_pressure << 8);
SLL	R2, R4, 8
MOVZ	R4, R2, R0
;Sensors.c,213 :: 		Out_pressure = (Out_pressure | low_byte);
ANDI	R2, R3, 255
; low_byte end address is: 12 (R3)
OR	R2, R4, R2
; Out_pressure end address is: 16 (R4)
; Out_pressure start address is: 12 (R3)
MOVZ	R3, R2, R0
;Sensors.c,214 :: 		return Out_pressure;
MOVZ	R2, R3, R0
; Out_pressure end address is: 12 (R3)
;Sensors.c,215 :: 		}
;Sensors.c,214 :: 		return Out_pressure;
;Sensors.c,215 :: 		}
L_end_Pressure_Read_value:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Pressure_Read_value
_Temperature_Read_value:
;Sensors.c,220 :: 		long int Temperature_Read_value(void)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Sensors.c,226 :: 		Out_temperature = Pressure_Read(_TEMP_OUT_H);
SW	R25, 4(SP)
ORI	R25, R0, 44
JAL	_Pressure_Read+0
NOP	
; Out_temperature start address is: 20 (R5)
ANDI	R5, R2, 255
;Sensors.c,227 :: 		low_byte = Pressure_Read(_TEMP_OUT_L);
ORI	R25, R0, 43
JAL	_Pressure_Read+0
NOP	
; low_byte start address is: 12 (R3)
ANDI	R3, R2, 255
;Sensors.c,229 :: 		Out_temperature = (Out_temperature << 8);
SEH	R2, R5
; Out_temperature end address is: 20 (R5)
SLL	R2, R2, 8
; Out_temperature start address is: 16 (R4)
SEH	R4, R2
;Sensors.c,230 :: 		Out_temperature = (Out_temperature | low_byte);
ANDI	R2, R3, 255
; low_byte end address is: 12 (R3)
OR	R2, R4, R2
; Out_temperature end address is: 16 (R4)
; Out_temperature start address is: 12 (R3)
SEH	R3, R2
;Sensors.c,231 :: 		return Out_temperature;
SEH	R2, R3
; Out_temperature end address is: 12 (R3)
;Sensors.c,232 :: 		}
;Sensors.c,231 :: 		return Out_temperature;
;Sensors.c,232 :: 		}
L_end_Temperature_Read_value:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Temperature_Read_value
_getPressureTemperatureValues:
;Sensors.c,234 :: 		void getPressureTemperatureValues(void)
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;Sensors.c,236 :: 		p_value = Pressure_Read_value();
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
JAL	_Pressure_Read_value+0
NOP	
SW	R2, Offset(_p_value+0)(GP)
;Sensors.c,237 :: 		t_value = (float)Temperature_Read_value();
JAL	_Temperature_Read_value+0
NOP	
MOVZ	R4, R2, R0
JAL	__SignedIntegralToFLoat+0
NOP	
SW	R2, Offset(_t_value+0)(GP)
;Sensors.c,238 :: 		disp_val = p_value;
LW	R2, Offset(_p_value+0)(GP)
SW	R2, Offset(_disp_val+0)(GP)
;Sensors.c,239 :: 		disp_val >>= 12;
LW	R2, Offset(_p_value+0)(GP)
SRA	R3, R2, 12
SW	R3, Offset(_disp_val+0)(GP)
;Sensors.c,240 :: 		if(disp_val != Old_disp_val)
LW	R2, Offset(_Old_disp_val+0)(GP)
BNE	R3, R2, L__getPressureTemperatureValues28
NOP	
J	L_getPressureTemperatureValues4
NOP	
L__getPressureTemperatureValues28:
;Sensors.c,242 :: 		LongWordToStr(disp_val,PressureoutputStr);
LUI	R26, #hi_addr(_PressureoutputStr+0)
ORI	R26, R26, #lo_addr(_PressureoutputStr+0)
LW	R25, Offset(_disp_val+0)(GP)
JAL	_LongWordToStr+0
NOP	
;Sensors.c,243 :: 		LongWordToStr(Old_disp_val,OldPressureoutputStr);
LUI	R26, #hi_addr(_OldPressureoutputStr+0)
ORI	R26, R26, #lo_addr(_OldPressureoutputStr+0)
LW	R25, Offset(_Old_disp_val+0)(GP)
JAL	_LongWordToStr+0
NOP	
;Sensors.c,244 :: 		Ltrim(PressureoutputStr);
LUI	R25, #hi_addr(_PressureoutputStr+0)
ORI	R25, R25, #lo_addr(_PressureoutputStr+0)
JAL	_Ltrim+0
NOP	
;Sensors.c,245 :: 		Ltrim(OldPressureoutputStr);
LUI	R25, #hi_addr(_OldPressureoutputStr+0)
ORI	R25, R25, #lo_addr(_OldPressureoutputStr+0)
JAL	_Ltrim+0
NOP	
;Sensors.c,246 :: 		TFT_Set_Font(Tahoma28x35_Regular,CL_WHITE,FO_HORIZONTAL);
LUI	R2, #hi_addr(_Tahoma28x35_Regular+0)
ORI	R2, R2, #lo_addr(_Tahoma28x35_Regular+0)
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
MOVZ	R25, R2, R0
JAL	_TFT_Set_Font+0
NOP	
;Sensors.c,247 :: 		TFT_Write_Text(OldPressureoutputStr,300,145);
ORI	R27, R0, 145
ORI	R26, R0, 300
LUI	R25, #hi_addr(_OldPressureoutputStr+0)
ORI	R25, R25, #lo_addr(_OldPressureoutputStr+0)
JAL	_TFT_Write_Text+0
NOP	
;Sensors.c,248 :: 		TFT_Set_Font(Tahoma28x35_Regular,CL_MAROON,FO_HORIZONTAL);
LUI	R2, #hi_addr(_Tahoma28x35_Regular+0)
ORI	R2, R2, #lo_addr(_Tahoma28x35_Regular+0)
MOVZ	R27, R0, R0
ORI	R26, R0, 32768
MOVZ	R25, R2, R0
JAL	_TFT_Set_Font+0
NOP	
;Sensors.c,249 :: 		TFT_Write_Text(PressureoutputStr,300,145);
ORI	R27, R0, 145
ORI	R26, R0, 300
LUI	R25, #hi_addr(_PressureoutputStr+0)
ORI	R25, R25, #lo_addr(_PressureoutputStr+0)
JAL	_TFT_Write_Text+0
NOP	
;Sensors.c,250 :: 		Old_disp_val = disp_val;
LW	R2, Offset(_disp_val+0)(GP)
SW	R2, Offset(_Old_disp_val+0)(GP)
;Sensors.c,251 :: 		}
L_getPressureTemperatureValues4:
;Sensors.c,253 :: 		temp_disp_val = t_value;
LW	R2, Offset(_t_value+0)(GP)
SW	R2, Offset(_temp_disp_val+0)(GP)
;Sensors.c,254 :: 		temp_disp_val = ((temp_disp_val/480) + 42.5) ;
LW	R4, Offset(_t_value+0)(GP)
LUI	R6, 17392
ORI	R6, R6, 0
JAL	__Div_FP+0
NOP	
LUI	R4, 16938
ORI	R4, R4, 0
MOVZ	R6, R2, R0
JAL	__Add_FP+0
NOP	
SW	R2, Offset(_temp_disp_val+0)(GP)
;Sensors.c,255 :: 		if(temp_disp_val != Old_temp_disp_val)
LW	R4, Offset(_Old_temp_disp_val+0)(GP)
MOVZ	R6, R2, R0
JAL	__Compare_FP+0
NOP	
SLTU	R2, R0, R2
BNE	R2, R0, L__getPressureTemperatureValues31
NOP	
J	L_getPressureTemperatureValues5
NOP	
L__getPressureTemperatureValues31:
;Sensors.c,257 :: 		sprintf(TemperatureStr,"%.1f",temp_disp_val);
LW	R2, Offset(_temp_disp_val+0)(GP)
ADDIU	SP, SP, -12
SW	R2, 8(SP)
LUI	R2, #hi_addr(?lstr_1_Sensors+0)
ORI	R2, R2, #lo_addr(?lstr_1_Sensors+0)
SW	R2, 4(SP)
LUI	R2, #hi_addr(_TemperatureStr+0)
ORI	R2, R2, #lo_addr(_TemperatureStr+0)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;Sensors.c,258 :: 		sprintf(OldTemperatureStr,"%.1f",Old_temp_disp_val);
LW	R2, Offset(_Old_temp_disp_val+0)(GP)
ADDIU	SP, SP, -12
SW	R2, 8(SP)
LUI	R2, #hi_addr(?lstr_2_Sensors+0)
ORI	R2, R2, #lo_addr(?lstr_2_Sensors+0)
SW	R2, 4(SP)
LUI	R2, #hi_addr(_OldTemperatureStr+0)
ORI	R2, R2, #lo_addr(_OldTemperatureStr+0)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;Sensors.c,259 :: 		TFT_Set_Font(Tahoma28x35_Regular,CL_WHITE,FO_HORIZONTAL);
LUI	R2, #hi_addr(_Tahoma28x35_Regular+0)
ORI	R2, R2, #lo_addr(_Tahoma28x35_Regular+0)
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
MOVZ	R25, R2, R0
JAL	_TFT_Set_Font+0
NOP	
;Sensors.c,260 :: 		TFT_Write_Text(OldTemperatureStr,114,145);
ORI	R27, R0, 145
ORI	R26, R0, 114
LUI	R25, #hi_addr(_OldTemperatureStr+0)
ORI	R25, R25, #lo_addr(_OldTemperatureStr+0)
JAL	_TFT_Write_Text+0
NOP	
;Sensors.c,261 :: 		TFT_Set_Font(Tahoma28x35_Regular,CL_MAROON,FO_HORIZONTAL);
LUI	R2, #hi_addr(_Tahoma28x35_Regular+0)
ORI	R2, R2, #lo_addr(_Tahoma28x35_Regular+0)
MOVZ	R27, R0, R0
ORI	R26, R0, 32768
MOVZ	R25, R2, R0
JAL	_TFT_Set_Font+0
NOP	
;Sensors.c,262 :: 		TFT_Write_Text(TemperatureStr,114,145);
ORI	R27, R0, 145
ORI	R26, R0, 114
LUI	R25, #hi_addr(_TemperatureStr+0)
ORI	R25, R25, #lo_addr(_TemperatureStr+0)
JAL	_TFT_Write_Text+0
NOP	
;Sensors.c,263 :: 		Old_temp_disp_val = temp_disp_val;
LW	R2, Offset(_temp_disp_val+0)(GP)
SW	R2, Offset(_Old_temp_disp_val+0)(GP)
;Sensors.c,264 :: 		}
L_getPressureTemperatureValues5:
;Sensors.c,265 :: 		}
L_end_getPressureTemperatureValues:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _getPressureTemperatureValues
_ClearSensorVars:
;Sensors.c,269 :: 		void ClearSensorVars(void)
;Sensors.c,271 :: 		p_value = 0;
SW	R0, Offset(_p_value+0)(GP)
;Sensors.c,272 :: 		disp_val = 0;
SW	R0, Offset(_disp_val+0)(GP)
;Sensors.c,273 :: 		Old_disp_val = 0;
SW	R0, Offset(_Old_disp_val+0)(GP)
;Sensors.c,274 :: 		t_value = 0;
SW	R0, Offset(_t_value+0)(GP)
;Sensors.c,275 :: 		temp_disp_val = 0;
SW	R0, Offset(_temp_disp_val+0)(GP)
;Sensors.c,276 :: 		Old_temp_disp_val = 0;
SW	R0, Offset(_Old_temp_disp_val+0)(GP)
;Sensors.c,277 :: 		}
L_end_ClearSensorVars:
JR	RA
NOP	
; end of _ClearSensorVars
