#line 1 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for PIC32 Projects/MMB+P32_PressureClick/PressureClick_Code/mikroC PRO for PIC32/PressureClick_main.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic32/include/built_in.h"
#line 1 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for pic32 projects/mmb+p32_pressureclick/pressureclick_code/mikroc pro for pic32/pressureclick_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Image {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ImagesCount;
 TImage * const code *Images;
};

extern TScreen Screen1;
extern TImage Image1;
extern TImage Image2;
extern TButton Button1;
extern TButton Button2;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TButton * const code Screen1_Buttons[2];
extern TLabel * const code Screen1_Labels[3];
extern TImage * const code Screen1_Images[2];








extern char Image1_Caption[];
extern char Image2_Caption[];
extern char Button1_Caption[];
extern char Button2_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawImage(TImage *AImage);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for pic32 projects/mmb+p32_pressureclick/pressureclick_code/mikroc pro for pic32/sensors.h"
#line 7 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for pic32 projects/mmb+p32_pressureclick/pressureclick_code/mikroc pro for pic32/sensors.h"
void InitSensors(void);
void DisplayTemperature(unsigned long temp);
void Pressure_Write(unsigned short address, unsigned short value);
unsigned short Pressure_Read(unsigned short address);
char Pressure_Init(void);
long int Pressure_Read_value(void);
long int Temperature_Read_value(void);
void getPressureTemperatureValues(void);
void ClearSensorVars(void);
#line 28 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for PIC32 Projects/MMB+P32_PressureClick/PressureClick_Code/mikroC PRO for PIC32/PressureClick_main.c"
void main()
{

 Start_TP();
 InitSensors();
 Pressure_Init();





 while (1)
 {
 Check_TP();
 getPressureTemperatureValues();
 Delay_ms(500);

 }
}
