#line 1 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for PIC32 Projects/MMB+P32_PressureClick/PressureClick_Code/mikroC PRO for PIC32/Sensors.c"
#line 1 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for pic32 projects/mmb+p32_pressureclick/pressureclick_code/mikroc pro for pic32/sensors.h"
#line 7 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for pic32 projects/mmb+p32_pressureclick/pressureclick_code/mikroc pro for pic32/sensors.h"
void InitSensors(void);
void DisplayTemperature(unsigned long temp);
void Pressure_Write(unsigned short address, unsigned short value);
unsigned short Pressure_Read(unsigned short address);
char Pressure_Init(void);
long int Pressure_Read_value(void);
long int Temperature_Read_value(void);
void getPressureTemperatureValues(void);
void ClearSensorVars(void);
#line 1 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for pic32 projects/mmb+p32_pressureclick/pressureclick_code/mikroc pro for pic32/pressureclick_resources.h"
const code char Tahoma19x23_Regular[];
const code char Tahoma28x35_Regular[];
const code char Tahoma11x13_Regular[];
const code char icon_temp_sensor_bmp[4506];
const code char AmbPressure1_jpg[2345];
#line 47 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for PIC32 Projects/MMB+P32_PressureClick/PressureClick_Code/mikroC PRO for PIC32/Sensors.c"
const VREF = 3300 ;




char PressureoutputStr[14];
char OldPressureoutputStr[14];
char TemperatureStr[15];
char OldTemperatureStr[15];
short address,buffer;
long int p_value = 0;
long int disp_val = 0;
long int Old_disp_val = 0;
float temp_disp_val = 0;
float Old_temp_disp_val = 0;
int tempor ;
float t_value = 0;
char *res;








void InitSensors()
{
 AD1PCFG.B8 = 0;
 TRISB8_bit = 1;
 AD1PCFG.B9 = 0;
 TRISB9_bit = 1;

 ADC1_Init();

}


static void Get_Temperature()
{
 volatile unsigned long temp;


 temp = ADC1_Get_Sample(9);
 temp = (unsigned long)(VREF * temp) / 1028;
 temp = temp - 500;

}


void DisplayTemperature(unsigned long temp)
{
 asm nop;



}
#line 108 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for PIC32 Projects/MMB+P32_PressureClick/PressureClick_Code/mikroC PRO for PIC32/Sensors.c"
void Pressure_Write(unsigned short address, unsigned short value)
{
 I2C2_Start();
 I2C2_Write( 0xBA );
 I2C2_Write(address);
 I2C2_Write(value);
 I2C2_Stop();
}



unsigned short Pressure_Read(unsigned short address)
 {
 unsigned short tmp = 0;

 I2C2_Start();
 I2C2_Write( 0xBA );
 I2C2_Write(address);

 I2C2_Restart();
 I2C2_Write( 0xBB );
 tmp = I2C2_Read(_I2C_NACK );
 I2C2_Stop();

 return tmp;
}




char Pressure_Init(void)
 {
 volatile unsigned short temp;
 int err = 0;
 I2C2_Init(100000);



 Pressure_Write( 0x10 , 0x78);


 temp = Pressure_Read( 0x10 );



 if (temp != 0x78)
 {
 err++;
 }

 Pressure_Write( 0x20 , 0x74);


 temp = Pressure_Read( 0x20 );



 if (temp != 0x74)
 {
 err++;
 }

 Pressure_Write( 0x20 , 0xF4);



 temp = Pressure_Read( 0x20 );
 if (temp != 0xF4) {
 err++;
 }




 temp = Pressure_read( 0x0F );


 if (temp != 0xBB)
 {
 err++;
 }
 return err;
}




long int Pressure_Read_value(void)
{
 volatile unsigned short low_byte;
 volatile unsigned short mid_byte;
 volatile long int Out_pressure;



 Out_pressure = Pressure_Read( 0x2A );


 mid_byte = Pressure_Read( 0x29 );

 low_byte = Pressure_Read( 0x28 );

 Out_pressure = (Out_pressure << 8);
 Out_pressure = (Out_pressure | mid_byte);
 Out_pressure = (Out_pressure << 8);
 Out_pressure = (Out_pressure | low_byte);
 return Out_pressure;
}




long int Temperature_Read_value(void)
{
 volatile unsigned short low_byte;
 volatile int Out_temperature;


 Out_temperature = Pressure_Read( 0x2C );
 low_byte = Pressure_Read( 0x2B );

 Out_temperature = (Out_temperature << 8);
 Out_temperature = (Out_temperature | low_byte);
 return Out_temperature;
}

void getPressureTemperatureValues(void)
{
 p_value = Pressure_Read_value();
 t_value = (float)Temperature_Read_value();
 disp_val = p_value;
 disp_val >>= 12;
 if(disp_val != Old_disp_val)
 {
 LongWordToStr(disp_val,PressureoutputStr);
 LongWordToStr(Old_disp_val,OldPressureoutputStr);
 Ltrim(PressureoutputStr);
 Ltrim(OldPressureoutputStr);
 TFT_Set_Font(Tahoma28x35_Regular,CL_WHITE,FO_HORIZONTAL);
 TFT_Write_Text(OldPressureoutputStr,300,145);
 TFT_Set_Font(Tahoma28x35_Regular,CL_MAROON,FO_HORIZONTAL);
 TFT_Write_Text(PressureoutputStr,300,145);
 Old_disp_val = disp_val;
 }

 temp_disp_val = t_value;
 temp_disp_val = ((temp_disp_val/480) + 42.5) ;
 if(temp_disp_val != Old_temp_disp_val)
 {
 sprintf(TemperatureStr,"%.1f",temp_disp_val);
 sprintf(OldTemperatureStr,"%.1f",Old_temp_disp_val);
 TFT_Set_Font(Tahoma28x35_Regular,CL_WHITE,FO_HORIZONTAL);
 TFT_Write_Text(OldTemperatureStr,114,145);
 TFT_Set_Font(Tahoma28x35_Regular,CL_MAROON,FO_HORIZONTAL);
 TFT_Write_Text(TemperatureStr,114,145);
 Old_temp_disp_val = temp_disp_val;
 }
}



void ClearSensorVars(void)
{
 p_value = 0;
 disp_val = 0;
 Old_disp_val = 0;
 t_value = 0;
 temp_disp_val = 0;
 Old_temp_disp_val = 0;
}
